listEvents
Retrieves a list of Event you’ve previously created. The events are returned in sorted order, with the most recent appearing first.
GET
/v1/chat/eventsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Query parameters
nextToken?stringProvide the `meta.nextToken` value provided in the last API response to retrieve the next page of results
pageSize?integerNumber of items to return per page (default 20, max 100)
type?stringFilter by event type
conversationId?stringFilter by conversation id
userId?stringFilter by user id
messageId?stringFilter by message id
workflowId?stringFilter by workflow id
status?enum<string>Filter by status. Allowed values: pending, ignored, processed, failed.
Available options:
"pending","ignored","processed","failed","scheduled"Response
Returns a list of Event objects
eventsobject[]metaobject